Subject: Re: bug#3224: 23.0.92; vc-dir vs uniquify: wrong directory used

From: Juanma Barranquero <[email-masked]>
Date: Fri, 8 Jan 2010 04:40:33 +0100

On Fri, Jan 8, 2010 at 04:22, Stefan Monnier <[email-masked]> wrote:

> Problem is that some modes use list-buffers-directory for incompatible
> purposes.  E.g. shell-mode uses it to display the CWD of the shell in
> the buffer-menu.

In the particular case of shell that would not cause trouble anyway;
shell for the same buffer name just pops to that buffer, and C-u M-x
shell calls `generate-new-buffer-name' and bypasses uniquify. AFAICS,
eshell does the same thing (C-u M-x eshell brings a "*eshell*<2>"
buffer).

But this is all best left post-release, for the introduction of a new variable.

I'm closing this bug now, as the patch is already installed.

    Juanma